Subject: Re: [codec] Codec Standardization Expertise

From: Gerard Fernando <[email-masked]>
Date: Fri, 31 Jul 2009 12:34:03 -0700

I understand that the process discussion would need to cover many 
aspects - not only IPR. But, the process discussion must address 
technical and business requirements, and from my perspective, IPR issues 
(more specifically developing a methodology for achieving a RF codec) 
should be high in the list of such business requirements.

Kind regards

Sun Labs
Sun Microsystems, Inc.
16 Network Circle, UMPK16
Menlo Park, CA 94025
USA

stephen botzko wrote:
> >>>
> Although I appreciate that many folks might be getting "weary" of RF 
> discussion it is this very issue that will determine the value of any 
> standard developed by this WG. I'm still firmly of the opinion that 
> *the _only_* *reason for the IETF to embark on codec standardization 
> is if such standards were to be RF*.
> >>>
>
> I get why you care, its just that the discussion goes nowhere.  
> Perhaps "the only reason..." would make an interesting agree / 
> disagree "hum" question at the next BOF.
>
> Just to clarify - I was not thinking that the process discussion would 
> center on IPR. 
>
> Getting consensus on the overall process in more detail needs to be 
> achieved at some point anyway, and would also allow companies 
> privately to assess their own participation.
>
> Knowing if the process is collaborative development or competitive 
> selection might also be a factor for some.  Others might want to hold 
> back source code until a first-cut assessment is made as to whether 
> the proposal is under serious consideration.
>
> Stephen Botzko
> Polycom
>
>
> On Fri, Jul 31, 2009 at 1:38 PM, Gerard Fernando 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Although I appreciate that many folks might be getting "weary" of
>     RF discussion it is this very issue that will determine the value
>     of any standard developed by this WG. I'm still firmly of the
>     opinion that the _only_ reason for the IETF to embark on codec
>     standardization is if such standards were to be RF.
>
>     If the WG were to develop a process, as described below, for IPR
>     management  then  that'll certainly help.
>
>     Kind regards
>
>     Sun Labs
>     Sun Microsystems, Inc.
>     16 Network Circle, UMPK16
>     Menlo Park, CA 94025
>     USA
>
>         
>
>     stephen botzko wrote:
>>     Though I am getting weary on RF discussions, and _very_ tired of
>>     having every thread turn into an IPR debate, I do have one request.
>>
>>     It would be helpful to have clearer picture of the proposed WG
>>     process before the next BOF.
>>
>>     I can envision some approaches to IPR management that could
>>     result in many companies backing out from participation. 
>>
>>     For example, the process might require us to study other
>>     companies' patents in order to design work-arounds.  As Stephan
>>     Wenger noted a while ago, among other things this can create a
>>     risk of triple-damages liability for participants.  This could
>>     create issues for some.
>>
>>     Understanding / gaining rough concensus on the proposed process
>>     might make it easier to gauge if this will be a problem or not.
>>
>>     Regards,
>>     Stephen Botzko
>>     Polycom
>>
>>     On Fri, Jul 31, 2009 at 12:08 PM, Gerard Fernando
>>     <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>         RF requirements:
>>
>>
>>         Herve Taddei wrote:
>>>
>>>         > Sorry, probably you do not follow, but RF requirement was
>>>         put on the very
>>>
>>>         > first slides and repeated several times later. Moreover,
>>>         several serious
>>>
>>>         It is one thing to put them on the slide, it is another
>>>         thing to get it.
>>>
>>>         BTW, you can give a look from IESG BOF report: "-
>>>         understanding it would not be possible to guarantee that
>>>         resulting codecs would be royalty free"
>>>
>>>          
>>>
>>
>>         I also feel that having the RF requirement on slides does not
>>         ensure such an outcome. If the WG considers this to be
>>         important then there should be a well defined methodology
>>         which includes the development of an IP (intellectual
>>         property) disclosure and review process appropriate to
>>         producing a royalty-free outcome.
>>
>>         Kind regards
>>
>>         Gerard Fernando
>>
>>         Sun Labs
>>         Sun Microsystems, Inc.
>>         16 Network Circle, UMPK16
>>         Menlo Park, CA 94025
>>         USA
>>
>>             
>>
>>
>>
>>
>>         _______________________________________________
>>         codec mailing list
>>         [email-masked] <mailto:[email-masked]>
>>         https://www.ietf.org/mailman/listinfo/codec
>>
>>
>>     ------------------------------------------------------------------------
>>     _______________________________________________ codec mailing
>>     list [email-masked] <mailto:[email-masked]>
>>     https://www.ietf.org/mailman/listinfo/codec
>
>